- Main Page
- Namespaces
- Classes
- Files
- Related Pages

- Class List
- Class Hierarchy
- Class Members

# geos::simplify::TaggedLineStringSimplifier Class Reference

Simplifies a TaggedLineString, preserving topology (in the sense that no new intersections are introduced). Uses the recursive Douglas-Peucker algorithm. More...

`#include <TaggedLineStringSimplifier.h>`

List of all members.

## Public Member Functions
| TaggedLineStringSimplifier (LineSegmentIndex *inputIndex, LineSegmentIndex *outputIndex)
void | setDistanceTolerance (double d)
| Sets the distance tolerance for the simplification.
void | simplify (TaggedLineString *line)

## Detailed Description

Simplifies a TaggedLineString, preserving topology (in the sense that no new intersections are introduced). Uses the recursive Douglas-Peucker algorithm.

## Member Function Documentation

void geos::simplify::TaggedLineStringSimplifier::setDistanceTolerance | ( | double | d | ) | `[inline]`

Sets the distance tolerance for the simplification.

All vertices in the simplified geometry will be within this distance of the original geometry.

Parameters:

  | d | the approximation tolerance to use

The documentation for this class was generated from the following file:

- TaggedLineStringSimplifier.h